Subject: Introduce XCache cache backend

Description

http://xcache.lighttpd.net/wiki/XcacheApi

http://xcache.lighttpd.net/wiki/Xcachelni#XCacheCacher

You need to reserve some cache for the for the var cache (xcache.var_size int).

The patch is based on the Wincache backend which itself is based on APC backend.

XCache var cache is a key-value cache.

The wincache unit test has been copied and adopted as needed.

Related issues:

related to Core - Feature # 35818: WinCache as Cache Backend Resolved 2012-04-10
related to Core APIs - Bug # 46818: Cache: New xcache cache backend Closed 2013-03-31
related to TYPOS3.Flow - Feature # 46816: Add xcache cache backend New 2013-03-31
related to Core - Task # 46817: WincacheBackend: Add a "Testing"-context to t... Resolved 2013-03-31

Associated revisions

Revision 23fe8e14 - 2013-03-31 16:00 - Philipp Gampe

[FEATURE] Introduce xcache cache backend

xcache is another PHP opcode cache like APC.

Similar to APC, it has a key-value for user data.

This storage is now available in the TYPO3 caching framework
by providing an according cache backend.

Note: XCache does not work in CLI mode!

Resolves: #46142

Releases: 6.1

Change-Id: 14e9e856a8397978eb6f6d480b799961f49ff8a7b
Reviewed-on: https://review.typo3.org/18823

Reviewed-by: Stefan Neufeind
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-03-09 14:26 - Gerrit Code Review
http://xcache.lighttpd.net/wiki/XcacheApi
http://xcache.lighttpd.net/wiki/XcacheIni#XCacheCacher
https://review.typo3.org/18823

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18823

#2 - 2013-03-12 19:41 - Christian Kuhn

the variable cache of xcache is not supported in cli mode :(

#3 - 2013-03-12 21:12 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18823

#4 - 2013-03-12 22:33 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18823

#5 - 2013-03-27 19:06 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18823

#6 - 2013-03-31 15:11 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18823

#7 - 2013-03-31 16:30 - Philipp Gampe
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:23fe8e1450826f56392c25540f0c529b3c887a14.
